;
; Configure calenders to start weeks on Monday
; Set the default archive location
; Log the time when completing a task
; Configure the TODO keyword sequence
;

(setq
 calendar-week-start-day	1
 org-agenda-files
 '(
   "~/Documents/planning/contexts"
   "~/Documents/planning/creatures"
   "~/Documents/planning/projects"
   "~/Documents/planning/reference"
   )
 org-archive-location		"../archive/%s::"
 org-log-done			'time
 org-todo-keywords		'((sequence "PENDING" "IN_PROGRESS" "DONE"))
)

;
; Configure key mappings
;
; C-c O = view the agenda
;

(global-set-key "\C-cO" 'org-agenda-list)

;
